Belpic packages voor Ubuntu Breezy

Wouter heeft de source van Belpic -de eID tools- compileerbaar gemaakt op Debian unstable en nu ook op stable. Dit compilet dus ook op Ubuntu. Wie interesse heeft in de packages voor Ubuntu Breezy, kan ze vinden op http://www.stroobant.be/belpic/. Thanks, Wouter! NB: dit zit al in Breezy, maar onvolledig, zonder de eidviewer (grafische app) en de benodigde libs daarvoor. In de volgende release van Ubuntu gaat dit ook allemaal standaard meegeleverd worden... Edit: werkt nog ook. ;-) Net mijn kaart uitgelezen... Hoewel ik wel pcscd eens moeten heropstarten heb, daarvoor gaf het een error.

dank voor uw inspanningen, maar ik spijtig genoeg heb ik nog geen van beide versies aan het werk gekregen (noch de debian versie noch de breezy versie).
Ik weet niet hoe jullie testen, maar ik heb een beetje de indruk dat jullie al tevreden zijn als je de eidviewer kunnen opstarten.
Bedoeling is uiteindelijk wel client authenticatie te doen in een browser (minimum firefox). Installeren van het security device in firefox lukt nog juist, maar een client authenticatie op een website die eid ondersteunt lukt nog altijd niet.
Op het ogenblik dat de pin dialoog gestart wordt crasht de boel.

For the record, ik ben geen ontwikkelaar van die software, ik heb alleen de aangepaste versie voor Debian van Wouter gehercompileerd voor Ubuntu Breezy.

Het enige dat ik tot nu toe getest heb, is het lezen van de certificaten en het uitlezen van de gegevens van mijn kaart in de eid-viewer. Dat werkt bij mij in ieder geval op een laptop met Ubuntu en een O2micro smartcardreader. Verder ben ik zelf nog aan het uitvinden wat je er allemaal mee kan doen (en wegens tijdsgebrek is er nog niet veel gevonden de laatste tijd ;-). Wat howto's voor praktische toepassingen bij de software steken zou zeker nuttig zijn... Hoe installeer je dat security device? Ik zal het zelf ook eens testen via de tax-on-web site dan. :-)

Als er iets niet werkt, denk ik dat je best een bug instuurt via de debian bugtracker
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=belpic
Als Wouter het daarmee zelf niet opgelost krijgt, zal hij het vermoedelijk wel kunnen doorgeven aan de ontwikkelaars van de software voor een fix.

een security device installeer je in Firefox door:

edit > preferences > advanced > certificates > manage security devices

te volgen.
Dan klik je load en selecteer je de /usr/lib/pkcs11/Belgian-EID-pkcs11 lib

In de belpic distributie staat ergens ook een html file die dit automatisch uitvoert, maar manueel gaat het ook zoals hierboven beschreven

Jan

Je hebt gelijk, ook bij mij hangt het. Het security device is wel
/usr/lib/pkcs11/Belgium-EID-pkcs11.so , vermoed ik. Zal het eens op de eid lijst zetten, daar lezen wat mensen van Zetes/Fedict mee. ( http://www.openstandaarden.be/mailman/listinfo/eid )

Rand: het lijkt mij eigenlijk wel aangewezen dat -eens het werkt tenminste- dat security device gewoon bij installatie van het belpic package system-wide in Mozilla en/of Firefox geinstalleerd wordt, dat maakt de software voor de gebruiker ineens een pak bruikbaarder. (of er minstens om vragen bij installatie)

Add new comment

The content of this field is kept private and will not be shown publicly.

Filtered HTML

  • Lines and paragraphs break automatically.
  • Web page addresses and email addresses turn into links automatically.